image: gradle:7.0-jdk8

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

cache:
  paths:
    - .gradle/caches/
    - .gradle/wrapper/

stages:
  - build
  - test

build_app:
  stage: build
  script:
      - chmod +x ./gradlew
      - ./gradlew clean build -x test
  artifacts:
    paths:
      - build/libs/*.jar

run_tests:
  stage: test
  script:
     - chmod +x ./gradlew
     - ./gradlew test
  artifacts:
    reports:
      junit: build/test-results/test/TEST-*.xml
